qlist(1)

NAME
qlist - list files owned by pkgname

SYNOPSIS
qlist [opts] <pkgname>

DESCRIPTION
qlist shows the contents, or a subset thereof, of an installed package. Alternatively, lists whether a package is installed, optionally with version, USE-flag, SLOT or REPO information. The pkgname to query for does not have to be an exact match, it may be part of it, e.g. an entire category, or any package with some string in its name. When no packages are given to match, qlist lists all installed packages.

OPTIONS

-I, --installed
    Instead of listing the contents of a package, just print the package name if the package is currently installed.

-k, --binpkgs
    Operate on binary packages instead of installed packges.

-t, --tree
    Used with -I to list packages available in the tree.

-S, --slots
    Display installed packages with slots (use twice for subslots).

-R, --repo
    Display installed packages with repository the ebuild originated from. This flag implies -I.

-U, --umap
    List USE-flags enabled when the package was installed. This flag implies -I.

-c, --columns
    Like -Iv, but package name and version are separated by a space for easy consumption by e.g. shell scripts which can read space-separated columns.

-m, --masks
    Filter matches for packages that are masked via the profiles. In particular useful in combination with -Itv to find the latest available version of a given package.

--showdebug
    Show /usr/lib/debug and /usr/src/debug files.

-e, --exact
    Exact match (only CAT/PN or PN without PV).

-d, --dir
    Only show directories.

-o, --obj
    Only show objects.

-s, --sym
    Only show symlinks.

-F <arg>, --format <arg>
    Print matched atom using given format string.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    When used with -I, print the package version next to name. When listing the package contents, -v displays symlinks with an arrow (->) to their target. Shows disabled USE-flags when used with -U.

-q, --quiet
    Tighter output; suppress warnings.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
q(1), qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qkeyword(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qwhich(1), qxpak(1)